<script lang="ts">
	import * as React from 'react';
	import * as ReactDOM from 'react-dom';

	import { ThirdPartyPreBuiltUI } from 'supertokens-auth-react/recipe/thirdparty/prebuiltui';
	import { canHandleRoute, getRoutingComponent } from 'supertokens-auth-react/ui';
	import { onMount } from 'svelte';

	function SuperTokensReactComponent(props: any) {
		if (canHandleRoute([ThirdPartyPreBuiltUI])) {
			return getRoutingComponent([ThirdPartyPreBuiltUI]);
		}
		return 'Route not found';
	}

	onMount(async () => {
		ReactDOM.render(
			React.createElement(SuperTokensReactComponent as React.FC),
			document.getElementById('authId')
		);
	});
</script>

<div id="authId" />
